from datetime import timedelta
from django.contrib.auth import update_session_auth_hash
from django.contrib.auth.decorators import login_required
from django.contrib.auth.models import User
from django.contrib.auth.forms import PasswordChangeForm
from django.shortcuts import get_object_or_404, redirect, render
from scripts.bp_deactivate import deactivate
from web.models import Event, Availability


@login_required()
def index(request):
    user = User.objects.filter(username='dominic').first()

    context = {
        'events': Event.objects.filter(created_by=user).all()  # TODO: How to determine user?
    }

    return render(request, template_name='index.html', context=context)
